]> git.decadent.org.uk Git - dak.git/blobdiff - scripts/debian/byhand-di
sync-dd: ignore ftp and mirror even if they are symlinks
[dak.git] / scripts / debian / byhand-di
index 99cb313152555496227c56f751cad15f8e66d9a8..8427a8632804aea1f330ee6ae82a9a6338afc920 100755 (executable)
@@ -1,7 +1,8 @@
-#!/bin/sh
+#!/bin/bash
 
 set -u
 set -e
+set -o pipefail
 
 if [ $# -lt 4 ]; then
        echo "Usage: $0 filename version arch changes_file"
@@ -31,7 +32,7 @@ case $SUITE in
     "")
        error "Error: unable to determine suite from Changes file"
        ;;
-    unstable|sid)
+    unstable|sid|*-proposed-updates)
        : # nothing to do
        ;;
     *)
@@ -54,7 +55,8 @@ if [ -d "$TARGET/$VERSION" ]; then
 fi
 
 # We know the VERSION is sane by here, we just need to make sure we escape the + in +b1 (if any)
-VERSIONREGEXP="$(echo $VERSION | sed 's@+@\\\+@')"
+# It needs 'g' as well as we may have +$DIST+b[0-9]
+VERSIONREGEXP="$(echo $VERSION | sed 's@+@\\\+@g')"
 
 # We know all data to be in ./installer-<arch>/<version>; see if there's
 # anything else in the tarball except that and the 'current' symlink